# This NodeType is abstract, as settings options depend on the article type.
# Use one of the extended NodeTypes or extend your own
# and set `articleType` to a valid article type in the new prototype
#
# DEPRECATED
# This node type is deprecated since 1.13, will be marked abstract by default starting with 1.14
# and removed with 1.15.
#
'Newland.Toubiz.Poi.Neos:FilteredLists':
  abstract: true
  superTypes:
    'Newland.NeosCommon:Plugin': true
  ui:
    label: i18n
    icon: map-marker
    inspector:
      groups:
        topics:
          label: i18n
          icon: tags
        lists:
          label: i18n
          icon: arrows-alt-h
        filter:
          label: i18n
          icon: filter

  properties:

    sorting:
      type: string
      ui:
        label: i18n
        reloadIfChanged: true
        inspector:
          group: filter
          editor: Neos.Neos/Inspector/Editors/SelectBoxEditor
          editorOptions:
            allowEmpty: false
            values:
              alphabetic:
                label: i18n
              random:
                label: i18n
    topics:
      type: array
      ui:
        label: i18n
        reloadIfChanged: true
        inspector:
          group: topics
          editor: Neos.Neos/Inspector/Editors/SelectBoxEditor
          editorOptions:
            allowEmpty: false
            multiple: true
            dataSourceIdentifier: newland-toubiz-poi-neos-topics
            dataSourceAdditionalData:
              types:
                - category
                - attribute

    lists:
      type: array
      ui:
        label: i18n
        reloadIfChanged: true
        inspector:
          group: lists
          editor: Neos.Neos/Inspector/Editors/SelectBoxEditor
          editorOptions:
            allowEmpty: false
            dataSourceIdentifier: newland-toubiz-poi-neos-topics
            dataSourceAdditionalData:
              types:
                - category
                - attribute

    listLimit:
      type: integer
      defaultValue: 11
      ui:
        label: i18n
        inspector:
          group: lists


    preselectedCategories:
      type: array
      ui:
        label: i18n
        reloadIfChanged: true
        help:
          message: i18n
        inspector:
          group: filter
          editor: Neos.Neos/Inspector/Editors/SelectBoxEditor
          editorOptions:
            dataSourceIdentifier: newland-toubiz-poi-neos-categories

    preselectedProperties:
      type: array
      ui:
        label: i18n
        reloadIfChanged: true
        help:
          message: i18n
        inspector:
          group: filter
          editor: Neos.Neos/Inspector/Editors/SelectBoxEditor
          editorOptions:
            dataSourceIdentifier: newland-toubiz-poi-neos-attributes

    preselectedTags:
      type: array
      ui:
        label: i18n
        reloadIfChanged: true
        help:
          message: i18n
        inspector:
          group: filter
          editor: Neos.Neos/Inspector/Editors/SelectBoxEditor
          editorOptions:
            dataSourceIdentifier: newland-toubiz-poi-neos-topics
            dataSourceAdditionalData:
              types:
                - tag

    regions:
      type: array
      defaultValue: []
      ui:
        label: i18n
        reloadIfChanged: true
        inspector:
          group: filter
          editor: Neos.Neos/Inspector/Editors/SelectBoxEditor
          editorOptions:
            allowEmpty: true
            dataSourceIdentifier: newland-toubiz-poi-neos-regions

    preselectedCities:
      type: array
      defaultValue: []
      ui:
        label: i18n
        reloadIfChanged: true
        inspector:
          group: filter
          editor: Neos.Neos/Inspector/Editors/SelectBoxEditor
          editorOptions:
            allowEmpty: true
            dataSourceIdentifier: newland-toubiz-poi-neos-pois
            dataSourceAdditionalData:
              mainType: '6'

'Newland.Toubiz.Poi.Neos:FilteredListsAttraction':
  superTypes:
    'Newland.Toubiz.Poi.Neos:FilteredLists': true
  ui:
    group: 'poi'
  properties:
    articleType:
      type: string
      defaultValue: 0

'Newland.Toubiz.Poi.Neos:FilteredListsGastronomy':
  superTypes:
    'Newland.Toubiz.Poi.Neos:FilteredLists': true
  ui:
    group: 'gastronomy'
  properties:
    preselectedTags: []
    articleType:
      type: string
      defaultValue: 1

'Newland.Toubiz.Poi.Neos:FilteredListsTour':
  superTypes:
    'Newland.Toubiz.Poi.Neos:FilteredLists': true
  ui:
    group: 'tour'
  properties:
    preselectedTags: []
    articleType:
      type: string
      defaultValue: 2

'Newland.Toubiz.Poi.Neos:FilteredListsLodging':
  superTypes:
    'Newland.Toubiz.Poi.Neos:FilteredLists': true
  ui:
    group: 'lodging'
  properties:
    articleType:
      type: string
      defaultValue: 3

'Newland.Toubiz.Poi.Neos:FilteredListsDirectMarketer':
  abstract: true
  superTypes:
    'Newland.Toubiz.Poi.Neos:FilteredLists': true
  ui:
    group: 'directMarketer'
  properties:
    preselectedTags: []
    articleType:
      type: string
      defaultValue: 4
